| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | Private Member Functions | List of all members
Coords::ProjectionBasedSystem Class Reference
CRS

`#include <crssystem.h>`

Inheritance diagram for Coords::ProjectionBasedSystem:
[legend]

## Public Member Functions
| ProjectionBasedSystem ()
| ProjectionBasedSystem (const AuthorityCode &)
| ~ProjectionBasedSystem ()
CoordSystem * | clone () const override
Coord | convertFrom (const Coord &, const CoordSystem &from) const override
Coord | convertTo (const Coord &, const CoordSystem &to) const override
uiString | description () const override
RefMan< CoordSystem > | fromString (const char *, BufferString *msg=nullptr) const override
bool | geographicTransformOK () const override
CoordSystem * | getGeodeticSystem () const override
BufferString | getJSONString () const
const Projection * | getProjection () const
BufferString | getUnitName () const override
BufferString | getUrl () const
BufferString | getURNString () const
BufferString | getWKTString () const
bool | isFeet () const override
bool | isLatLong () const override
bool | isMeter () const override
bool | isOK () const override
bool | isOrthogonal () const override
bool | isProjection () const override
bool | isWGS84 () const override
bool | setProjection (const AuthorityCode &)
BufferString | summary () const override
BufferString | toString (StringType=Default, bool withsystem=false) const override
| Default for proj: URN.
Public Member Functions inherited from Coords::CoordSystem
void | fillPar (IOPar &) const
virtual bool | isGeodetic () const
bool | operator!= (const CoordSystem &) const
bool | operator== (const CoordSystem &) const
bool | usePar (const IOPar &)
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static CoordSystem * | getWGS84LLSystem ()
Static Public Member Functions inherited from Coords::CoordSystem
static Coord | convert (const Coord &, const CoordSystem &from, const CoordSystem &to)
static RefMan< CoordSystem > | createSystem (const char *str, BufferString &msgs)
static RefMan< CoordSystem > | createSystem (const IOPar &)
| Creates subclass with settings.
static void | getSystemNames (bool onlyorthogonal, bool onlyprojection, uiStringSet &, ObjectSet< IOPar > &)
| Creates the subclasses without settings.
static const CoordSystem * | getWGS84LLSystem ()
static void | initRepository (NotifierAccess *=nullptr)
static const char * | sKeyFactoryName ()
static const char * | sKeyUiName ()
static BufferString | sWGS84ProjDispString ()
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Protected Attributes
Projection * | proj_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
void | doFillPar (IOPar &) const override
bool | doUsePar (const IOPar &) override
Coord | fromGeographic (const LatLong &, bool wgs84) const override
LatLong | toGeographic (const Coord &, bool wgs84) const override

## Additional Inherited Members
Public Types inherited from Coords::CoordSystem
enum | StringType { Default , URN , WKT , JSON , URL }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Member Functions inherited from Coords::CoordSystem
| ~CoordSystem ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ProjectionBasedSystem() [1/2]

Coords::ProjectionBasedSystem::ProjectionBasedSystem | ( |  | ) |

## ◆ ProjectionBasedSystem() [2/2]

Coords::ProjectionBasedSystem::ProjectionBasedSystem | ( | const AuthorityCode & |  | ) |

## ◆ ~ProjectionBasedSystem()

Coords::ProjectionBasedSystem::~ProjectionBasedSystem | ( |  | ) |

## Member Function Documentation

## ◆ clone()

CoordSystem * Coords::ProjectionBasedSystem::clone | ( |  | ) | const
| override virtual

Implements Coords::CoordSystem.

## ◆ convertFrom()

Coord Coords::ProjectionBasedSystem::convertFrom | ( | const Coord & | ,
|  | const CoordSystem & | from ) const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ convertTo()

Coord Coords::ProjectionBasedSystem::convertTo | ( | const Coord & | ,
|  | const CoordSystem & | to ) const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ description()

uiString Coords::ProjectionBasedSystem::description | ( |  | ) | const
| inline override virtual

Implements Coords::CoordSystem.

## ◆ doFillPar()

void Coords::ProjectionBasedSystem::doFillPar | ( | IOPar & |  | ) | const
| override private virtual

Implements Coords::CoordSystem.

## ◆ doUsePar()

bool Coords::ProjectionBasedSystem::doUsePar | ( | const IOPar & |  | ) |
| override private virtual

Implements Coords::CoordSystem.

## ◆ fromGeographic()

Coord Coords::ProjectionBasedSystem::fromGeographic | ( | const LatLong & | ,
|  | bool | wgs84 ) const
| override private virtual

Implements Coords::CoordSystem.

## ◆ fromString()

RefMan< CoordSystem > Coords::ProjectionBasedSystem::fromString | ( | const char * | ,
|  | BufferString * | msg = nullptr ) const
| override virtual

Implements Coords::CoordSystem.

## ◆ geographicTransformOK()

bool Coords::ProjectionBasedSystem::geographicTransformOK | ( |  | ) | const
| override virtual

Implements Coords::CoordSystem.

## ◆ getGeodeticSystem()

CoordSystem * Coords::ProjectionBasedSystem::getGeodeticSystem | ( |  | ) | const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ getJSONString()

BufferString Coords::ProjectionBasedSystem::getJSONString | ( |  | ) | const

## ◆ getProjection()

const Projection * Coords::ProjectionBasedSystem::getProjection | ( |  | ) | const

## ◆ getUnitName()

BufferString Coords::ProjectionBasedSystem::getUnitName | ( |  | ) | const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ getUrl()

BufferString Coords::ProjectionBasedSystem::getUrl | ( |  | ) | const

## ◆ getURNString()

BufferString Coords::ProjectionBasedSystem::getURNString | ( |  | ) | const

## ◆ getWGS84LLSystem()

static CoordSystem * Coords::ProjectionBasedSystem::getWGS84LLSystem | ( |  | ) |
| static

## ◆ getWKTString()

BufferString Coords::ProjectionBasedSystem::getWKTString | ( |  | ) | const

## ◆ isFeet()

bool Coords::ProjectionBasedSystem::isFeet | ( |  | ) | const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ isLatLong()

bool Coords::ProjectionBasedSystem::isLatLong | ( |  | ) | const
| override virtual

Implements Coords::CoordSystem.

## ◆ isMeter()

bool Coords::ProjectionBasedSystem::isMeter | ( |  | ) | const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ isOK()

bool Coords::ProjectionBasedSystem::isOK | ( |  | ) | const
| override virtual

Implements Coords::CoordSystem.

## ◆ isOrthogonal()

bool Coords::ProjectionBasedSystem::isOrthogonal | ( |  | ) | const
| override virtual

Implements Coords::CoordSystem.

## ◆ isProjection()

bool Coords::ProjectionBasedSystem::isProjection | ( |  | ) | const
| inline override virtual

Reimplemented from Coords::CoordSystem.

## ◆ isWGS84()

bool Coords::ProjectionBasedSystem::isWGS84 | ( |  | ) | const
| override virtual

Reimplemented from Coords::CoordSystem.

## ◆ setProjection()

bool Coords::ProjectionBasedSystem::setProjection | ( | const AuthorityCode & |  | ) |

## ◆ summary()

BufferString Coords::ProjectionBasedSystem::summary | ( |  | ) | const
| override virtual

Implements Coords::CoordSystem.

## ◆ toGeographic()

LatLong Coords::ProjectionBasedSystem::toGeographic | ( | const Coord & | ,
|  | bool | wgs84 ) const
| override private virtual

Implements Coords::CoordSystem.

## ◆ toString()

BufferString Coords::ProjectionBasedSystem::toString | ( | StringType | = Default,
|  | bool | withsystem = false ) const
| override virtual

Default for proj: URN.

Implements Coords::CoordSystem.

## Member Data Documentation

## ◆ proj_

Projection* Coords::ProjectionBasedSystem::proj_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025